Project

General

Profile

Bug #6916

Bug #6914: xen: Multiple issues (XSA-207, CVE-2017-2615, CVE-2017-2620)

[3.5] xen: Multiple issues (XSA-207, CVE-2017-2615, CVE-2017-2620)

Added by Alicha CH almost 2 years ago. Updated over 1 year ago.

Status:
Closed
Priority:
Normal
Category:
Security
Target version:
Start date:
02/23/2017
Due date:
% Done:

100%

Estimated time:
Affected versions:
Security IDs:

Description

CVE: none (yet) assigned, XSA-207: memory leak when destroying guest without PT devices

Reference:

http://xenbits.xen.org/xsa/advisory-207.html

CVE-2017-2615, XSA-208: oob access in cirrus bitblt copy

Reference:

http://xenbits.xen.org/xsa/advisory-208.html

CVE-2017-2620, XSA-209: cirrus_bitblt_cputovideo does not check if memory region is safe

Reference:

http://xenbits.xen.org/xsa/advisory-209.html

Associated revisions

Revision b28bbad2 (diff)
Added by Natanael Copa almost 2 years ago

main/xen: sec fixes fro xsa-207 - xsa-209

added perl-dev as makedepends due to man2pod moved to there.

- XSA-207
- CVE-2017-2615 XSA-208
- CVE-2017-2620 XSA-209
- XSA-210

fixes #6916

History

#1 Updated by Natanael Copa almost 2 years ago

  • Status changed from New to Resolved
  • % Done changed from 0 to 100

#2 Updated by Alicha CH over 1 year ago

  • Category set to Security
  • Status changed from Resolved to Closed

Also available in: Atom PDF